/* query.c generated by valac 0.40.7, the Vala compiler
 * generated from query.vala, do not modify */

/*
 * Copyright (C) 2010 Michal Hruby <michal.mhr@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by Michal Hruby <michal.mhr@gmail.com>
 *
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <gee.h>


#define SYNAPSE_TYPE_QUERY_FLAGS (synapse_query_flags_get_type ())

#define SYNAPSE_TYPE_MATCHER_FLAGS (synapse_matcher_flags_get_type ())

#define SYNAPSE_TYPE_QUERY (synapse_query_get_type ())
typedef struct _SynapseQuery SynapseQuery;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

#define SYNAPSE_TYPE_MATCH_SCORE (synapse_match_score_get_type ())
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

typedef enum  {
	SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE = 1 << 0,
	SYNAPSE_QUERY_FLAGS_UNCATEGORIZED = 1 << 1,
	SYNAPSE_QUERY_FLAGS_APPLICATIONS = 1 << 2,
	SYNAPSE_QUERY_FLAGS_ACTIONS = 1 << 3,
	SYNAPSE_QUERY_FLAGS_AUDIO = 1 << 4,
	SYNAPSE_QUERY_FLAGS_VIDEO = 1 << 5,
	SYNAPSE_QUERY_FLAGS_DOCUMENTS = 1 << 6,
	SYNAPSE_QUERY_FLAGS_IMAGES = 1 << 7,
	SYNAPSE_QUERY_FLAGS_FILES = ((SYNAPSE_QUERY_FLAGS_AUDIO | SYNAPSE_QUERY_FLAGS_VIDEO) | SYNAPSE_QUERY_FLAGS_DOCUMENTS) | SYNAPSE_QUERY_FLAGS_IMAGES,
	SYNAPSE_QUERY_FLAGS_PLACES = 1 << 8,
	SYNAPSE_QUERY_FLAGS_INTERNET = 1 << 9,
	SYNAPSE_QUERY_FLAGS_TEXT = 1 << 10,
	SYNAPSE_QUERY_FLAGS_CONTACTS = 1 << 11,
	SYNAPSE_QUERY_FLAGS_ALL = 0xFFFFFFFFLL,
	SYNAPSE_QUERY_FLAGS_LOCAL_CONTENT = SYNAPSE_QUERY_FLAGS_ALL ^ SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE
} SynapseQueryFlags;

typedef enum  {
	SYNAPSE_MATCHER_FLAGS_NO_REVERSED = 1 << 0,
	SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING = 1 << 1,
	SYNAPSE_MATCHER_FLAGS_NO_PARTIAL = 1 << 2,
	SYNAPSE_MATCHER_FLAGS_NO_FUZZY = 1 << 3
} SynapseMatcherFlags;

struct _SynapseQuery {
	gchar* query_string;
	gchar* query_string_folded;
	GCancellable* cancellable;
	SynapseQueryFlags query_type;
	guint max_results;
	guint query_id;
};

typedef enum  {
	SYNAPSE_SEARCH_ERROR_SEARCH_CANCELLED,
	SYNAPSE_SEARCH_ERROR_UNKNOWN_ERROR
} SynapseSearchError;
#define SYNAPSE_SEARCH_ERROR synapse_search_error_quark ()
typedef enum  {
	SYNAPSE_MATCH_SCORE_INCREMENT_MINOR = 2000,
	SYNAPSE_MATCH_SCORE_INCREMENT_SMALL = 5000,
	SYNAPSE_MATCH_SCORE_INCREMENT_MEDIUM = 10000,
	SYNAPSE_MATCH_SCORE_INCREMENT_LARGE = 20000,
	SYNAPSE_MATCH_SCORE_URI_PENALTY = 15000,
	SYNAPSE_MATCH_SCORE_POOR = 50000,
	SYNAPSE_MATCH_SCORE_BELOW_AVERAGE = 60000,
	SYNAPSE_MATCH_SCORE_AVERAGE = 70000,
	SYNAPSE_MATCH_SCORE_ABOVE_AVERAGE = 75000,
	SYNAPSE_MATCH_SCORE_GOOD = 80000,
	SYNAPSE_MATCH_SCORE_VERY_GOOD = 85000,
	SYNAPSE_MATCH_SCORE_EXCELLENT = 90000,
	SYNAPSE_MATCH_SCORE_HIGHEST = 100000
} SynapseMatchScore;



GType synapse_query_flags_get_type (void) G_GNUC_CONST;
GType synapse_matcher_flags_get_type (void) G_GNUC_CONST;
GType synapse_query_get_type (void) G_GNUC_CONST;
SynapseQuery* synapse_query_dup (const SynapseQuery* self);
void synapse_query_free (SynapseQuery* self);
void synapse_query_copy (const SynapseQuery* self,
                         SynapseQuery* dest);
void synapse_query_destroy (SynapseQuery* self);
void synapse_query_init (SynapseQuery *self,
                         guint query_id,
                         const gchar* query,
                         SynapseQueryFlags flags,
                         guint num_results);
gboolean synapse_query_is_cancelled (SynapseQuery *self);
GQuark synapse_search_error_quark (void);
void synapse_query_check_cancellable (SynapseQuery *self,
                                      GError** error);
GeeList* synapse_query_get_matchers_for_query (const gchar* query,
                                               SynapseMatcherFlags match_flags,
                                               GRegexCompileFlags flags);
GType synapse_match_score_get_type (void) G_GNUC_CONST;
static void _vala_array_add6 (gchar** * array,
                       int* length,
                       int* size,
                       gchar* value);
static void _vala_array_add7 (gchar** * array,
                       int* length,
                       int* size,
                       gchar* value);
static gint __lambda5_ (GeeMapEntry* a,
                 GeeMapEntry* b);
static gint ___lambda5__gcompare_data_func (gconstpointer a,
                                     gconstpointer b,
                                     gpointer self);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


GType
synapse_query_flags_get_type (void)
{
	static volatile gsize synapse_query_flags_type_id__volatile = 0;
	if (g_once_init_enter (&synapse_query_flags_type_id__volatile)) {
		static const GFlagsValue values[] = {{SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE, "SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE", "include-remote"}, {SYNAPSE_QUERY_FLAGS_UNCATEGORIZED, "SYNAPSE_QUERY_FLAGS_UNCATEGORIZED", "uncategorized"}, {SYNAPSE_QUERY_FLAGS_APPLICATIONS, "SYNAPSE_QUERY_FLAGS_APPLICATIONS", "applications"}, {SYNAPSE_QUERY_FLAGS_ACTIONS, "SYNAPSE_QUERY_FLAGS_ACTIONS", "actions"}, {SYNAPSE_QUERY_FLAGS_AUDIO, "SYNAPSE_QUERY_FLAGS_AUDIO", "audio"}, {SYNAPSE_QUERY_FLAGS_VIDEO, "SYNAPSE_QUERY_FLAGS_VIDEO", "video"}, {SYNAPSE_QUERY_FLAGS_DOCUMENTS, "SYNAPSE_QUERY_FLAGS_DOCUMENTS", "documents"}, {SYNAPSE_QUERY_FLAGS_IMAGES, "SYNAPSE_QUERY_FLAGS_IMAGES", "images"}, {SYNAPSE_QUERY_FLAGS_FILES, "SYNAPSE_QUERY_FLAGS_FILES", "files"}, {SYNAPSE_QUERY_FLAGS_PLACES, "SYNAPSE_QUERY_FLAGS_PLACES", "places"}, {SYNAPSE_QUERY_FLAGS_INTERNET, "SYNAPSE_QUERY_FLAGS_INTERNET", "internet"}, {SYNAPSE_QUERY_FLAGS_TEXT, "SYNAPSE_QUERY_FLAGS_TEXT", "text"}, {SYNAPSE_QUERY_FLAGS_CONTACTS, "SYNAPSE_QUERY_FLAGS_CONTACTS", "contacts"}, {SYNAPSE_QUERY_FLAGS_ALL, "SYNAPSE_QUERY_FLAGS_ALL", "all"}, {SYNAPSE_QUERY_FLAGS_LOCAL_CONTENT, "SYNAPSE_QUERY_FLAGS_LOCAL_CONTENT", "local-content"}, {0, NULL, NULL}};
		GType synapse_query_flags_type_id;
		synapse_query_flags_type_id = g_flags_register_static ("SynapseQueryFlags", values);
		g_once_init_leave (&synapse_query_flags_type_id__volatile, synapse_query_flags_type_id);
	}
	return synapse_query_flags_type_id__volatile;
}


GType
synapse_matcher_flags_get_type (void)
{
	static volatile gsize synapse_matcher_flags_type_id__volatile = 0;
	if (g_once_init_enter (&synapse_matcher_flags_type_id__volatile)) {
		static const GFlagsValue values[] = {{SYNAPSE_MATCHER_FLAGS_NO_REVERSED, "SYNAPSE_MATCHER_FLAGS_NO_REVERSED", "no-reversed"}, {SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING, "SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING", "no-substring"}, {SYNAPSE_MATCHER_FLAGS_NO_PARTIAL, "SYNAPSE_MATCHER_FLAGS_NO_PARTIAL", "no-partial"}, {SYNAPSE_MATCHER_FLAGS_NO_FUZZY, "SYNAPSE_MATCHER_FLAGS_NO_FUZZY", "no-fuzzy"}, {0, NULL, NULL}};
		GType synapse_matcher_flags_type_id;
		synapse_matcher_flags_type_id = g_flags_register_static ("SynapseMatcherFlags", values);
		g_once_init_leave (&synapse_matcher_flags_type_id__volatile, synapse_matcher_flags_type_id);
	}
	return synapse_matcher_flags_type_id__volatile;
}


void
synapse_query_init (SynapseQuery *self,
                    guint query_id,
                    const gchar* query,
                    SynapseQueryFlags flags,
                    guint num_results)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 95 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	g_return_if_fail (query != NULL);
#line 95 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	memset (self, 0, sizeof (SynapseQuery));
#line 100 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*self).query_id = query_id;
#line 101 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp0_ = g_strdup (query);
#line 101 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_free0 ((*self).query_string);
#line 101 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*self).query_string = _tmp0_;
#line 102 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp1_ = g_utf8_casefold (query, (gssize) -1);
#line 102 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_free0 ((*self).query_string_folded);
#line 102 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*self).query_string_folded = _tmp1_;
#line 103 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*self).query_type = flags;
#line 104 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*self).max_results = num_results;
#line 206 "query.c"
}


gboolean
synapse_query_is_cancelled (SynapseQuery *self)
{
	gboolean result = FALSE;
	GCancellable* _tmp0_;
#line 109 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp0_ = (*self).cancellable;
#line 109 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	result = g_cancellable_is_cancelled (_tmp0_);
#line 109 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	return result;
#line 221 "query.c"
}


void
synapse_query_check_cancellable (SynapseQuery *self,
                                 GError** error)
{
	GCancellable* _tmp0_;
	GError * _inner_error_ = NULL;
#line 114 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp0_ = (*self).cancellable;
#line 114 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if (g_cancellable_is_cancelled (_tmp0_)) {
#line 235 "query.c"
		GError* _tmp1_;
#line 116 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp1_ = g_error_new_literal (SYNAPSE_SEARCH_ERROR, SYNAPSE_SEARCH_ERROR_SEARCH_CANCELLED, "Cancelled");
#line 116 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_inner_error_ = _tmp1_;
#line 116 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		if (_inner_error_->domain == SYNAPSE_SEARCH_ERROR) {
#line 116 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_propagate_error (error, _inner_error_);
#line 116 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			return;
#line 247 "query.c"
		} else {
#line 116 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 116 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 116 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			return;
#line 255 "query.c"
		}
	}
}


static gchar*
string_strip (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1248 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1249 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1250 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	result = _result_;
#line 1251 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	return result;
#line 282 "query.c"
}


static void
_vala_array_add6 (gchar** * array,
                  int* length,
                  int* size,
                  gchar* value)
{
#line 177 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if ((*length) == (*size)) {
#line 177 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 177 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 298 "query.c"
	}
#line 177 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*array)[(*length)++] = value;
#line 177 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*array)[*length] = NULL;
#line 304 "query.c"
}


static gchar*
_vala_g_strjoinv (const gchar* separator,
                  gchar** str_array,
                  int str_array_length1)
{
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
#line 1092 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (separator == NULL) {
#line 1093 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		separator = "";
#line 319 "query.c"
	}
#line 1095 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (str_array != NULL) {
#line 323 "query.c"
		gboolean _tmp1_ = FALSE;
#line 1095 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (str_array_length1 > 0) {
#line 1095 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_tmp1_ = TRUE;
#line 329 "query.c"
		} else {
			gboolean _tmp2_ = FALSE;
#line 1095 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			if (str_array_length1 == -1) {
#line 334 "query.c"
				const gchar* _tmp3_;
#line 1095 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp3_ = str_array[0];
#line 1095 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp2_ = _tmp3_ != NULL;
#line 340 "query.c"
			} else {
#line 1095 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp2_ = FALSE;
#line 344 "query.c"
			}
#line 1095 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_tmp1_ = _tmp2_;
#line 348 "query.c"
		}
#line 1095 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = _tmp1_;
#line 352 "query.c"
	} else {
#line 1095 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp0_ = FALSE;
#line 356 "query.c"
	}
#line 1095 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 360 "query.c"
		gint i = 0;
		gsize len = 0UL;
		gint _tmp20_;
		gint _tmp22_;
		gint _tmp23_;
		gsize _tmp24_;
		gint _tmp25_;
		gint _tmp26_;
		gint _tmp27_;
		const gchar* res = NULL;
		gsize _tmp28_;
		void* _tmp29_;
		void* ptr = NULL;
		const gchar* _tmp30_;
		const gchar* _tmp31_;
		void* _tmp32_;
		const gchar* _tmp45_;
#line 1097 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		len = (gsize) 1;
#line 380 "query.c"
		{
			gboolean _tmp4_ = FALSE;
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			i = 0;
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_tmp4_ = TRUE;
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			while (TRUE) {
#line 389 "query.c"
				gboolean _tmp6_ = FALSE;
				gboolean _tmp7_ = FALSE;
				gint _tmp12_ = 0;
				gint _tmp13_;
				const gchar* _tmp14_;
				gsize _tmp19_;
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				if (!_tmp4_) {
#line 398 "query.c"
					gint _tmp5_;
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp5_ = i;
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					i = _tmp5_ + 1;
#line 404 "query.c"
				}
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp4_ = FALSE;
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				if (str_array_length1 != -1) {
#line 410 "query.c"
					gint _tmp8_;
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp8_ = i;
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp7_ = _tmp8_ < str_array_length1;
#line 416 "query.c"
				} else {
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp7_ = FALSE;
#line 420 "query.c"
				}
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				if (_tmp7_) {
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp6_ = TRUE;
#line 426 "query.c"
				} else {
					gboolean _tmp9_ = FALSE;
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					if (str_array_length1 == -1) {
#line 431 "query.c"
						gint _tmp10_;
						const gchar* _tmp11_;
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
						_tmp10_ = i;
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
						_tmp11_ = str_array[_tmp10_];
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
						_tmp9_ = _tmp11_ != NULL;
#line 440 "query.c"
					} else {
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
						_tmp9_ = FALSE;
#line 444 "query.c"
					}
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp6_ = _tmp9_;
#line 448 "query.c"
				}
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				if (!_tmp6_) {
#line 1098 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					break;
#line 454 "query.c"
				}
#line 1099 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp13_ = i;
#line 1099 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp14_ = str_array[_tmp13_];
#line 1099 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				if (_tmp14_ != NULL) {
#line 462 "query.c"
					gint _tmp15_;
					const gchar* _tmp16_;
					gint _tmp17_;
					gint _tmp18_;
#line 1099 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp15_ = i;
#line 1099 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp16_ = str_array[_tmp15_];
#line 1099 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp17_ = strlen ((const gchar*) _tmp16_);
#line 1099 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp18_ = _tmp17_;
#line 1099 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp12_ = _tmp18_;
#line 477 "query.c"
				} else {
#line 1099 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp12_ = 0;
#line 481 "query.c"
				}
#line 1099 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp19_ = len;
#line 1099 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				len = _tmp19_ + _tmp12_;
#line 487 "query.c"
			}
		}
#line 1101 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp20_ = i;
#line 1101 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		if (_tmp20_ == 0) {
#line 494 "query.c"
			gchar* _tmp21_;
#line 1102 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_tmp21_ = g_strdup ("");
#line 1102 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			result = _tmp21_;
#line 1102 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			return result;
#line 502 "query.c"
		}
#line 1104 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp22_ = i;
#line 1104 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		str_array_length1 = _tmp22_;
#line 1104 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp23_ = str_array_length1;
#line 1105 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp24_ = len;
#line 1105 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp25_ = strlen ((const gchar*) separator);
#line 1105 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp26_ = _tmp25_;
#line 1105 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp27_ = i;
#line 1105 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		len = _tmp24_ + (_tmp26_ * (_tmp27_ - 1));
#line 1107 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp28_ = len;
#line 1107 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp29_ = g_malloc (_tmp28_);
#line 1107 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		res = _tmp29_;
#line 1108 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp30_ = res;
#line 1108 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp31_ = str_array[0];
#line 1108 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp32_ = g_stpcpy ((void*) _tmp30_, (const gchar*) _tmp31_);
#line 1108 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		ptr = _tmp32_;
#line 534 "query.c"
		{
			gboolean _tmp33_ = FALSE;
#line 1109 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			i = 1;
#line 1109 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			_tmp33_ = TRUE;
#line 1109 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
			while (TRUE) {
#line 543 "query.c"
				gint _tmp35_;
				void* _tmp36_;
				void* _tmp37_;
				const gchar* _tmp38_ = NULL;
				gint _tmp39_;
				const gchar* _tmp40_;
				void* _tmp43_;
				void* _tmp44_;
#line 1109 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				if (!_tmp33_) {
#line 554 "query.c"
					gint _tmp34_;
#line 1109 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp34_ = i;
#line 1109 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					i = _tmp34_ + 1;
#line 560 "query.c"
				}
#line 1109 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp33_ = FALSE;
#line 1109 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp35_ = i;
#line 1109 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				if (!(_tmp35_ < str_array_length1)) {
#line 1109 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					break;
#line 570 "query.c"
				}
#line 1110 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp36_ = ptr;
#line 1110 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp37_ = g_stpcpy (_tmp36_, (const gchar*) separator);
#line 1110 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				ptr = _tmp37_;
#line 1111 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp39_ = i;
#line 1111 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp40_ = str_array[_tmp39_];
#line 1111 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				if (_tmp40_ != NULL) {
#line 584 "query.c"
					gint _tmp41_;
					const gchar* _tmp42_;
#line 1111 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp41_ = i;
#line 1111 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp42_ = str_array[_tmp41_];
#line 1111 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp38_ = (const gchar*) _tmp42_;
#line 593 "query.c"
				} else {
#line 1111 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
					_tmp38_ = "";
#line 597 "query.c"
				}
#line 1111 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp43_ = ptr;
#line 1111 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				_tmp44_ = g_stpcpy (_tmp43_, _tmp38_);
#line 1111 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
				ptr = _tmp44_;
#line 605 "query.c"
			}
		}
#line 1114 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp45_ = res;
#line 1114 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		res = NULL;
#line 1114 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = (gchar*) _tmp45_;
#line 1114 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 616 "query.c"
	} else {
		gchar* _tmp46_;
#line 1116 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		_tmp46_ = g_strdup ("");
#line 1116 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		result = _tmp46_;
#line 1116 "/usr/share/vala-0.40/vapi/glib-2.0.vapi"
		return result;
#line 625 "query.c"
	}
}


static void
_vala_array_add7 (gchar** * array,
                  int* length,
                  int* size,
                  gchar* value)
{
#line 249 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if ((*length) == (*size)) {
#line 249 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 249 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 642 "query.c"
	}
#line 249 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*array)[(*length)++] = value;
#line 249 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*array)[*length] = NULL;
#line 648 "query.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 285 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	return self ? g_object_ref (self) : NULL;
#line 657 "query.c"
}


static gint
__lambda5_ (GeeMapEntry* a,
            GeeMapEntry* b)
{
	gint result = 0;
	GeeMapEntry* e1 = NULL;
	GeeMapEntry* e2 = NULL;
	gconstpointer _tmp0_;
	gint _tmp1_;
	gconstpointer _tmp2_;
	gint _tmp3_;
#line 287 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 287 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 288 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	e1 = G_TYPE_CHECK_INSTANCE_CAST (a, GEE_MAP_TYPE_ENTRY, GeeMapEntry);
#line 289 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	e2 = G_TYPE_CHECK_INSTANCE_CAST (b, GEE_MAP_TYPE_ENTRY, GeeMapEntry);
#line 290 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp0_ = gee_map_entry_get_value (e2);
#line 290 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp1_ = _tmp0_;
#line 290 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp2_ = gee_map_entry_get_value (e1);
#line 290 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp3_ = _tmp2_;
#line 290 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	result = ((gint) ((gintptr) _tmp1_)) - ((gint) ((gintptr) _tmp3_));
#line 290 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	return result;
#line 692 "query.c"
}


static gint
___lambda5__gcompare_data_func (gconstpointer a,
                                gconstpointer b,
                                gpointer self)
{
	gint result;
	result = __lambda5_ ((GeeMapEntry*) a, (GeeMapEntry*) b);
#line 287 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	return result;
#line 705 "query.c"
}


GeeList*
synapse_query_get_matchers_for_query (const gchar* query,
                                      SynapseMatcherFlags match_flags,
                                      GRegexCompileFlags flags)
{
	GeeList* result = NULL;
	GeeHashMap* results = NULL;
	GeeHashMap* _tmp0_;
	gchar* stripped_query = NULL;
	gchar* _tmp1_;
	gchar* escaped_query = NULL;
	gchar* _tmp2_;
	GRegex* re = NULL;
	gchar** individual_words = NULL;
	gchar** _tmp24_;
	gchar** _tmp25_;
	gint individual_words_length1;
	gint _individual_words_size_;
	gchar** _tmp26_;
	gint _tmp26__length1;
	gchar** individual_chars = NULL;
	gchar** _tmp86_;
	gchar** _tmp87_;
	gint individual_chars_length1;
	gint _individual_chars_size_;
	gchar** escaped_chars = NULL;
	gchar** _tmp88_;
	gint escaped_chars_length1;
	gint _escaped_chars_size_;
	gchar** _tmp89_;
	gint _tmp89__length1;
	gboolean _tmp93_ = FALSE;
	gboolean _tmp94_ = FALSE;
	gboolean _tmp107_ = FALSE;
	GeeArrayList* sorted_results = NULL;
	GeeArrayList* _tmp119_;
	GeeSet* entries = NULL;
	GeeSet* _tmp120_;
	GeeSet* _tmp121_;
	GeeSet* _tmp122_;
	GError * _inner_error_ = NULL;
#line 120 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	g_return_val_if_fail (query != NULL, NULL);
#line 138 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_REGEX, (GBoxedCopyFunc) g_regex_ref, (GDestroyNotify) g_regex_unref, G_TYPE_INT, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 138 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	results = _tmp0_;
#line 139 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp1_ = string_strip (query);
#line 139 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	stripped_query = _tmp1_;
#line 140 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp2_ = g_regex_escape_string (stripped_query, -1);
#line 140 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	escaped_query = _tmp2_;
#line 764 "query.c"
	{
		GRegex* _tmp3_ = NULL;
		gchar* _tmp4_;
		gchar* _tmp5_;
		GRegex* _tmp6_;
		GRegex* _tmp7_;
		GRegex* _tmp8_;
		GRegex* _tmp9_;
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp4_ = g_strdup_printf ("^(%s)$", escaped_query);
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp5_ = _tmp4_;
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp6_ = g_regex_new (_tmp5_, flags, 0, &_inner_error_);
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp7_ = _tmp6_;
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (_tmp5_);
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp3_ = _tmp7_;
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 789 "query.c"
				goto __catch18_g_regex_error;
			}
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (re);
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (escaped_query);
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (stripped_query);
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_object_unref0 (results);
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			return NULL;
#line 806 "query.c"
		}
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp8_ = _tmp3_;
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp3_ = NULL;
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_regex_unref0 (re);
#line 145 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		re = _tmp8_;
#line 146 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp9_ = re;
#line 146 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		gee_abstract_map_set ((GeeAbstractMap*) results, _tmp9_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_HIGHEST)));
#line 143 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_regex_unref0 (_tmp3_);
#line 822 "query.c"
	}
	goto __finally18;
	__catch18_g_regex_error:
	{
		GError* err = NULL;
#line 143 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		err = _inner_error_;
#line 143 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_inner_error_ = NULL;
#line 143 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_error_free0 (err);
#line 834 "query.c"
	}
	__finally18:
#line 143 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 143 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_regex_unref0 (re);
#line 143 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (escaped_query);
#line 143 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (stripped_query);
#line 143 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_object_unref0 (results);
#line 143 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 143 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		g_clear_error (&_inner_error_);
#line 143 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		return NULL;
#line 853 "query.c"
	}
	{
		GRegex* _tmp10_ = NULL;
		gchar* _tmp11_;
		gchar* _tmp12_;
		GRegex* _tmp13_;
		GRegex* _tmp14_;
		GRegex* _tmp15_;
		GRegex* _tmp16_;
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp11_ = g_strdup_printf ("^(%s)", escaped_query);
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp12_ = _tmp11_;
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp13_ = g_regex_new (_tmp12_, flags, 0, &_inner_error_);
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp14_ = _tmp13_;
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (_tmp12_);
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp10_ = _tmp14_;
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 879 "query.c"
				goto __catch19_g_regex_error;
			}
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (re);
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (escaped_query);
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (stripped_query);
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_object_unref0 (results);
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			return NULL;
#line 896 "query.c"
		}
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp15_ = _tmp10_;
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp10_ = NULL;
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_regex_unref0 (re);
#line 154 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		re = _tmp15_;
#line 155 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp16_ = re;
#line 155 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		gee_abstract_map_set ((GeeAbstractMap*) results, _tmp16_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_EXCELLENT)));
#line 152 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_regex_unref0 (_tmp10_);
#line 912 "query.c"
	}
	goto __finally19;
	__catch19_g_regex_error:
	{
		GError* err = NULL;
#line 152 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		err = _inner_error_;
#line 152 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_inner_error_ = NULL;
#line 152 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_error_free0 (err);
#line 924 "query.c"
	}
	__finally19:
#line 152 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 152 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_regex_unref0 (re);
#line 152 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (escaped_query);
#line 152 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (stripped_query);
#line 152 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_object_unref0 (results);
#line 152 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 152 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		g_clear_error (&_inner_error_);
#line 152 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		return NULL;
#line 943 "query.c"
	}
	{
		GRegex* _tmp17_ = NULL;
		gchar* _tmp18_;
		gchar* _tmp19_;
		GRegex* _tmp20_;
		GRegex* _tmp21_;
		GRegex* _tmp22_;
		GRegex* _tmp23_;
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp18_ = g_strdup_printf ("\\b(%s)", escaped_query);
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp19_ = _tmp18_;
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp20_ = g_regex_new (_tmp19_, flags, 0, &_inner_error_);
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp21_ = _tmp20_;
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (_tmp19_);
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp17_ = _tmp21_;
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 969 "query.c"
				goto __catch20_g_regex_error;
			}
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (re);
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (escaped_query);
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (stripped_query);
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_object_unref0 (results);
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			return NULL;
#line 986 "query.c"
		}
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp22_ = _tmp17_;
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp17_ = NULL;
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_regex_unref0 (re);
#line 163 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		re = _tmp22_;
#line 164 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp23_ = re;
#line 164 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		gee_abstract_map_set ((GeeAbstractMap*) results, _tmp23_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_VERY_GOOD)));
#line 161 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_regex_unref0 (_tmp17_);
#line 1002 "query.c"
	}
	goto __finally20;
	__catch20_g_regex_error:
	{
		GError* err = NULL;
#line 161 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		err = _inner_error_;
#line 161 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_inner_error_ = NULL;
#line 161 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_error_free0 (err);
#line 1014 "query.c"
	}
	__finally20:
#line 161 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 161 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_regex_unref0 (re);
#line 161 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (escaped_query);
#line 161 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (stripped_query);
#line 161 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_object_unref0 (results);
#line 161 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 161 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		g_clear_error (&_inner_error_);
#line 161 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		return NULL;
#line 1033 "query.c"
	}
#line 171 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp25_ = _tmp24_ = g_regex_split_simple ("\\s+", stripped_query, 0, 0);
#line 171 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	individual_words = _tmp25_;
#line 171 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	individual_words_length1 = _vala_array_length (_tmp24_);
#line 171 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_individual_words_size_ = individual_words_length1;
#line 172 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp26_ = individual_words;
#line 172 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp26__length1 = individual_words_length1;
#line 172 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if (_tmp26__length1 >= 2) {
#line 1049 "query.c"
		gchar** escaped_words = NULL;
		gchar** _tmp27_;
		gint escaped_words_length1;
		gint _escaped_words_size_;
		gchar** _tmp28_;
		gint _tmp28__length1;
		gchar* pattern = NULL;
		gchar** _tmp32_;
		gint _tmp32__length1;
		gchar* _tmp33_;
		gchar* _tmp34_;
		gchar* _tmp35_;
		gchar* _tmp36_;
#line 174 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp27_ = g_new0 (gchar*, 0 + 1);
#line 174 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		escaped_words = _tmp27_;
#line 174 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		escaped_words_length1 = 0;
#line 174 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_escaped_words_size_ = escaped_words_length1;
#line 175 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp28_ = individual_words;
#line 175 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp28__length1 = individual_words_length1;
#line 1075 "query.c"
		{
			gchar** word_collection = NULL;
			gint word_collection_length1 = 0;
			gint _word_collection_size_ = 0;
			gint word_it = 0;
#line 175 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			word_collection = _tmp28_;
#line 175 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			word_collection_length1 = _tmp28__length1;
#line 175 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			for (word_it = 0; word_it < _tmp28__length1; word_it = word_it + 1) {
#line 1087 "query.c"
				const gchar* word = NULL;
#line 175 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				word = word_collection[word_it];
#line 1091 "query.c"
				{
					gchar** _tmp29_;
					gint _tmp29__length1;
					const gchar* _tmp30_;
					gchar* _tmp31_;
#line 177 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp29_ = escaped_words;
#line 177 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp29__length1 = escaped_words_length1;
#line 177 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp30_ = word;
#line 177 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp31_ = g_regex_escape_string (_tmp30_, -1);
#line 177 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_vala_array_add6 (&escaped_words, &escaped_words_length1, &_escaped_words_size_, _tmp31_);
#line 1107 "query.c"
				}
			}
		}
#line 179 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp32_ = escaped_words;
#line 179 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp32__length1 = escaped_words_length1;
#line 179 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp33_ = _vala_g_strjoinv (").+\\b(", _tmp32_, _tmp32__length1);
#line 179 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp34_ = _tmp33_;
#line 179 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp35_ = g_strdup_printf ("\\b(%s)", _tmp34_);
#line 179 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp36_ = _tmp35_;
#line 179 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (_tmp34_);
#line 179 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		pattern = _tmp36_;
#line 1127 "query.c"
		{
			GRegex* _tmp37_ = NULL;
			const gchar* _tmp38_;
			GRegex* _tmp39_;
			GRegex* _tmp40_;
			GRegex* _tmp41_;
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp38_ = pattern;
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp39_ = g_regex_new (_tmp38_, flags, 0, &_inner_error_);
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp37_ = _tmp39_;
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1144 "query.c"
					goto __catch21_g_regex_error;
				}
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (pattern);
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_regex_unref0 (re);
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (escaped_query);
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (stripped_query);
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_object_unref0 (results);
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				g_clear_error (&_inner_error_);
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				return NULL;
#line 1167 "query.c"
			}
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp40_ = _tmp37_;
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp37_ = NULL;
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (re);
#line 184 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			re = _tmp40_;
#line 185 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp41_ = re;
#line 185 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp41_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_GOOD)));
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (_tmp37_);
#line 1183 "query.c"
		}
		goto __finally21;
		__catch21_g_regex_error:
		{
			GError* err = NULL;
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			err = _inner_error_;
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_inner_error_ = NULL;
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_error_free0 (err);
#line 1195 "query.c"
		}
		__finally21:
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (pattern);
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (re);
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (escaped_query);
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (stripped_query);
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_object_unref0 (results);
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 182 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			return NULL;
#line 1220 "query.c"
		}
#line 192 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		if (!((match_flags & SYNAPSE_MATCHER_FLAGS_NO_REVERSED) == SYNAPSE_MATCHER_FLAGS_NO_REVERSED)) {
#line 1224 "query.c"
			gchar** _tmp42_;
			gint _tmp42__length1;
#line 194 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp42_ = escaped_words;
#line 194 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp42__length1 = escaped_words_length1;
#line 194 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			if (_tmp42__length1 == 2) {
#line 1233 "query.c"
				gchar* reversed = NULL;
				gchar** _tmp43_;
				gint _tmp43__length1;
				const gchar* _tmp44_;
				gchar** _tmp45_;
				gint _tmp45__length1;
				const gchar* _tmp46_;
				gchar* _tmp47_;
				gchar* _tmp48_;
				gchar* _tmp49_;
				gchar* _tmp50_;
#line 196 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp43_ = escaped_words;
#line 196 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp43__length1 = escaped_words_length1;
#line 196 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp44_ = _tmp43_[1];
#line 196 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp45_ = escaped_words;
#line 196 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp45__length1 = escaped_words_length1;
#line 196 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp46_ = _tmp45_[0];
#line 196 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp47_ = g_strjoin (").+\\b(", _tmp44_, _tmp46_, NULL, NULL);
#line 196 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp48_ = _tmp47_;
#line 196 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp49_ = g_strdup_printf ("\\b(%s)", _tmp48_);
#line 196 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp50_ = _tmp49_;
#line 196 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (_tmp48_);
#line 196 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				reversed = _tmp50_;
#line 1269 "query.c"
				{
					GRegex* _tmp51_ = NULL;
					const gchar* _tmp52_;
					GRegex* _tmp53_;
					GRegex* _tmp54_;
					GRegex* _tmp55_;
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp52_ = reversed;
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp53_ = g_regex_new (_tmp52_, flags, 0, &_inner_error_);
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp51_ = _tmp53_;
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1286 "query.c"
							goto __catch22_g_regex_error;
						}
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_free0 (reversed);
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_free0 (pattern);
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_regex_unref0 (re);
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_free0 (escaped_query);
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_free0 (stripped_query);
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_object_unref0 (results);
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						g_clear_error (&_inner_error_);
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						return NULL;
#line 1311 "query.c"
					}
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp54_ = _tmp51_;
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp51_ = NULL;
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_regex_unref0 (re);
#line 202 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					re = _tmp54_;
#line 203 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp55_ = re;
#line 203 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					gee_abstract_map_set ((GeeAbstractMap*) results, _tmp55_, (gpointer) ((gintptr) ((gint) (SYNAPSE_MATCH_SCORE_GOOD - SYNAPSE_MATCH_SCORE_INCREMENT_MINOR))));
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_regex_unref0 (_tmp51_);
#line 1327 "query.c"
				}
				goto __finally22;
				__catch22_g_regex_error:
				{
					GError* err = NULL;
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					err = _inner_error_;
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_inner_error_ = NULL;
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_error_free0 (err);
#line 1339 "query.c"
				}
				__finally22:
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_free0 (reversed);
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_free0 (pattern);
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_regex_unref0 (re);
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_free0 (escaped_query);
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_free0 (stripped_query);
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_object_unref0 (results);
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					g_clear_error (&_inner_error_);
#line 200 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					return NULL;
#line 1366 "query.c"
				}
#line 194 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (reversed);
#line 1370 "query.c"
			} else {
				gchar* orred = NULL;
				gchar** _tmp56_;
				gint _tmp56__length1;
				gchar* _tmp57_;
				gchar* _tmp58_;
				gchar* _tmp59_;
				gchar* _tmp60_;
				gchar* any_order = NULL;
				gchar* _tmp61_;
#line 212 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp56_ = escaped_words;
#line 212 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp56__length1 = escaped_words_length1;
#line 212 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp57_ = _vala_g_strjoinv (")|(?:", _tmp56_, _tmp56__length1);
#line 212 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp58_ = _tmp57_;
#line 212 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp59_ = g_strdup_printf ("\\b((?:%s))", _tmp58_);
#line 212 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp60_ = _tmp59_;
#line 212 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (_tmp58_);
#line 212 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				orred = _tmp60_;
#line 213 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp61_ = g_strdup ("");
#line 213 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				any_order = _tmp61_;
#line 1401 "query.c"
				{
					gint i = 0;
#line 214 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					i = 0;
#line 1406 "query.c"
					{
						gboolean _tmp62_ = FALSE;
#line 214 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_tmp62_ = TRUE;
#line 214 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						while (TRUE) {
#line 1413 "query.c"
							gint _tmp64_;
							gchar** _tmp65_;
							gint _tmp65__length1;
							gboolean is_last = FALSE;
							gint _tmp66_;
							gchar** _tmp67_;
							gint _tmp67__length1;
							const gchar* _tmp68_;
							const gchar* _tmp69_;
							gchar* _tmp70_;
							gboolean _tmp71_;
#line 214 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							if (!_tmp62_) {
#line 1427 "query.c"
								gint _tmp63_;
#line 214 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
								_tmp63_ = i;
#line 214 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
								i = _tmp63_ + 1;
#line 1433 "query.c"
							}
#line 214 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							_tmp62_ = FALSE;
#line 214 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							_tmp64_ = i;
#line 214 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							_tmp65_ = escaped_words;
#line 214 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							_tmp65__length1 = escaped_words_length1;
#line 214 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							if (!(_tmp64_ < _tmp65__length1)) {
#line 214 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
								break;
#line 1447 "query.c"
							}
#line 216 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							_tmp66_ = i;
#line 216 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							_tmp67_ = escaped_words;
#line 216 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							_tmp67__length1 = escaped_words_length1;
#line 216 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							is_last = _tmp66_ == (_tmp67__length1 - 1);
#line 217 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							_tmp68_ = any_order;
#line 217 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							_tmp69_ = orred;
#line 217 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							_tmp70_ = g_strconcat (_tmp68_, _tmp69_, NULL);
#line 217 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							_g_free0 (any_order);
#line 217 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							any_order = _tmp70_;
#line 218 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							_tmp71_ = is_last;
#line 218 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
							if (!_tmp71_) {
#line 1471 "query.c"
								const gchar* _tmp72_;
								gchar* _tmp73_;
#line 218 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
								_tmp72_ = any_order;
#line 218 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
								_tmp73_ = g_strconcat (_tmp72_, ".+", NULL);
#line 218 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
								_g_free0 (any_order);
#line 218 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
								any_order = _tmp73_;
#line 1482 "query.c"
							}
						}
					}
				}
				{
					GRegex* _tmp74_ = NULL;
					const gchar* _tmp75_;
					GRegex* _tmp76_;
					GRegex* _tmp77_;
					GRegex* _tmp78_;
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp75_ = any_order;
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp76_ = g_regex_new (_tmp75_, flags, 0, &_inner_error_);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp74_ = _tmp76_;
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1503 "query.c"
							goto __catch23_g_regex_error;
						}
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_free0 (any_order);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_free0 (orred);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_free0 (pattern);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_regex_unref0 (re);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_free0 (escaped_query);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_free0 (stripped_query);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						_g_object_unref0 (results);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						g_clear_error (&_inner_error_);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
						return NULL;
#line 1530 "query.c"
					}
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp77_ = _tmp74_;
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp74_ = NULL;
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_regex_unref0 (re);
#line 222 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					re = _tmp77_;
#line 223 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_tmp78_ = re;
#line 223 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					gee_abstract_map_set ((GeeAbstractMap*) results, _tmp78_, (gpointer) ((gintptr) ((gint) (SYNAPSE_MATCH_SCORE_AVERAGE + SYNAPSE_MATCH_SCORE_INCREMENT_MINOR))));
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_regex_unref0 (_tmp74_);
#line 1546 "query.c"
				}
				goto __finally23;
				__catch23_g_regex_error:
				{
					GError* err = NULL;
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					err = _inner_error_;
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_inner_error_ = NULL;
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_error_free0 (err);
#line 1558 "query.c"
				}
				__finally23:
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_free0 (any_order);
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_free0 (orred);
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_free0 (pattern);
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_regex_unref0 (re);
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_free0 (escaped_query);
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_free0 (stripped_query);
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					_g_object_unref0 (results);
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					g_clear_error (&_inner_error_);
#line 220 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
					return NULL;
#line 1587 "query.c"
				}
#line 194 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (any_order);
#line 194 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (orred);
#line 1593 "query.c"
			}
		}
#line 172 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (pattern);
#line 172 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 1600 "query.c"
	}
#line 232 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if (!((match_flags & SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING) == SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING)) {
#line 1604 "query.c"
		{
			GRegex* _tmp79_ = NULL;
			gchar* _tmp80_;
			gchar* _tmp81_;
			GRegex* _tmp82_;
			GRegex* _tmp83_;
			GRegex* _tmp84_;
			GRegex* _tmp85_;
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp80_ = g_strdup_printf ("(%s)", escaped_query);
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp81_ = _tmp80_;
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp82_ = g_regex_new (_tmp81_, flags, 0, &_inner_error_);
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp83_ = _tmp82_;
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (_tmp81_);
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp79_ = _tmp83_;
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1629 "query.c"
					goto __catch24_g_regex_error;
				}
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_regex_unref0 (re);
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (escaped_query);
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (stripped_query);
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_object_unref0 (results);
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				g_clear_error (&_inner_error_);
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				return NULL;
#line 1648 "query.c"
			}
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp84_ = _tmp79_;
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp79_ = NULL;
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (re);
#line 236 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			re = _tmp84_;
#line 237 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp85_ = re;
#line 237 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp85_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_BELOW_AVERAGE)));
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (_tmp79_);
#line 1664 "query.c"
		}
		goto __finally24;
		__catch24_g_regex_error:
		{
			GError* err = NULL;
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			err = _inner_error_;
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_inner_error_ = NULL;
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_error_free0 (err);
#line 1676 "query.c"
		}
		__finally24:
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (re);
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (escaped_query);
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (stripped_query);
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_object_unref0 (results);
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 234 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			return NULL;
#line 1697 "query.c"
		}
	}
#line 245 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp87_ = _tmp86_ = g_regex_split_simple ("\\s*", query, 0, 0);
#line 245 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	individual_chars = _tmp87_;
#line 245 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	individual_chars_length1 = _vala_array_length (_tmp86_);
#line 245 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_individual_chars_size_ = individual_chars_length1;
#line 246 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp88_ = g_new0 (gchar*, 0 + 1);
#line 246 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	escaped_chars = _tmp88_;
#line 246 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	escaped_chars_length1 = 0;
#line 246 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_escaped_chars_size_ = escaped_chars_length1;
#line 247 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp89_ = individual_chars;
#line 247 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp89__length1 = individual_chars_length1;
#line 1720 "query.c"
	{
		gchar** word_collection = NULL;
		gint word_collection_length1 = 0;
		gint _word_collection_size_ = 0;
		gint word_it = 0;
#line 247 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		word_collection = _tmp89_;
#line 247 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		word_collection_length1 = _tmp89__length1;
#line 247 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		for (word_it = 0; word_it < _tmp89__length1; word_it = word_it + 1) {
#line 1732 "query.c"
			const gchar* word = NULL;
#line 247 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			word = word_collection[word_it];
#line 1736 "query.c"
			{
				gchar** _tmp90_;
				gint _tmp90__length1;
				const gchar* _tmp91_;
				gchar* _tmp92_;
#line 249 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp90_ = escaped_chars;
#line 249 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp90__length1 = escaped_chars_length1;
#line 249 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp91_ = word;
#line 249 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_tmp92_ = g_regex_escape_string (_tmp91_, -1);
#line 249 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_vala_array_add7 (&escaped_chars, &escaped_chars_length1, &_escaped_chars_size_, _tmp92_);
#line 1752 "query.c"
			}
		}
	}
#line 253 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if (!((match_flags & SYNAPSE_MATCHER_FLAGS_NO_PARTIAL) == SYNAPSE_MATCHER_FLAGS_NO_PARTIAL)) {
#line 1758 "query.c"
		gchar** _tmp95_;
		gint _tmp95__length1;
#line 254 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp95_ = individual_words;
#line 254 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp95__length1 = individual_words_length1;
#line 254 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp94_ = _tmp95__length1 == 1;
#line 1767 "query.c"
	} else {
#line 253 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp94_ = FALSE;
#line 1771 "query.c"
	}
#line 253 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if (_tmp94_) {
#line 1775 "query.c"
		gchar** _tmp96_;
		gint _tmp96__length1;
#line 254 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp96_ = individual_chars;
#line 254 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp96__length1 = individual_chars_length1;
#line 254 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp93_ = _tmp96__length1 <= 5;
#line 1784 "query.c"
	} else {
#line 253 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp93_ = FALSE;
#line 1788 "query.c"
	}
#line 253 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if (_tmp93_) {
#line 1792 "query.c"
		gchar* pattern = NULL;
		gchar** _tmp97_;
		gint _tmp97__length1;
		gchar* _tmp98_;
		gchar* _tmp99_;
		gchar* _tmp100_;
		gchar* _tmp101_;
#line 256 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp97_ = escaped_chars;
#line 256 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp97__length1 = escaped_chars_length1;
#line 256 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp98_ = _vala_g_strjoinv (").+\\b(", _tmp97_, _tmp97__length1);
#line 256 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp99_ = _tmp98_;
#line 256 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp100_ = g_strdup_printf ("\\b(%s)", _tmp99_);
#line 256 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp101_ = _tmp100_;
#line 256 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (_tmp99_);
#line 256 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		pattern = _tmp101_;
#line 1816 "query.c"
		{
			GRegex* _tmp102_ = NULL;
			const gchar* _tmp103_;
			GRegex* _tmp104_;
			GRegex* _tmp105_;
			GRegex* _tmp106_;
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp103_ = pattern;
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp104_ = g_regex_new (_tmp103_, flags, 0, &_inner_error_);
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp102_ = _tmp104_;
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1833 "query.c"
					goto __catch25_g_regex_error;
				}
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (pattern);
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_regex_unref0 (re);
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (escaped_query);
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (stripped_query);
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_object_unref0 (results);
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				g_clear_error (&_inner_error_);
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				return NULL;
#line 1858 "query.c"
			}
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp105_ = _tmp102_;
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp102_ = NULL;
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (re);
#line 260 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			re = _tmp105_;
#line 261 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp106_ = re;
#line 261 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp106_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_ABOVE_AVERAGE)));
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (_tmp102_);
#line 1874 "query.c"
		}
		goto __finally25;
		__catch25_g_regex_error:
		{
			GError* err = NULL;
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			err = _inner_error_;
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_inner_error_ = NULL;
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_error_free0 (err);
#line 1886 "query.c"
		}
		__finally25:
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (pattern);
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (re);
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (escaped_query);
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (stripped_query);
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_object_unref0 (results);
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 258 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			return NULL;
#line 1913 "query.c"
		}
#line 253 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (pattern);
#line 1917 "query.c"
	}
#line 268 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if (!((match_flags & SYNAPSE_MATCHER_FLAGS_NO_FUZZY) == SYNAPSE_MATCHER_FLAGS_NO_FUZZY)) {
#line 1921 "query.c"
		gchar** _tmp108_;
		gint _tmp108__length1;
#line 268 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp108_ = escaped_chars;
#line 268 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp108__length1 = escaped_chars_length1;
#line 268 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp107_ = _tmp108__length1 > 0;
#line 1930 "query.c"
	} else {
#line 268 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp107_ = FALSE;
#line 1934 "query.c"
	}
#line 268 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	if (_tmp107_) {
#line 1938 "query.c"
		gchar* pattern = NULL;
		gchar** _tmp109_;
		gint _tmp109__length1;
		gchar* _tmp110_;
		gchar* _tmp111_;
		gchar* _tmp112_;
		gchar* _tmp113_;
#line 270 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp109_ = escaped_chars;
#line 270 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp109__length1 = escaped_chars_length1;
#line 270 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp110_ = _vala_g_strjoinv (").*(", _tmp109_, _tmp109__length1);
#line 270 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp111_ = _tmp110_;
#line 270 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp112_ = g_strdup_printf ("\\b(%s)", _tmp111_);
#line 270 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_tmp113_ = _tmp112_;
#line 270 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (_tmp111_);
#line 270 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		pattern = _tmp113_;
#line 1962 "query.c"
		{
			GRegex* _tmp114_ = NULL;
			const gchar* _tmp115_;
			GRegex* _tmp116_;
			GRegex* _tmp117_;
			GRegex* _tmp118_;
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp115_ = pattern;
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp116_ = g_regex_new (_tmp115_, flags, 0, &_inner_error_);
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp114_ = _tmp116_;
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1979 "query.c"
					goto __catch26_g_regex_error;
				}
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (pattern);
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_regex_unref0 (re);
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (escaped_query);
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_free0 (stripped_query);
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				_g_object_unref0 (results);
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				g_clear_error (&_inner_error_);
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
				return NULL;
#line 2004 "query.c"
			}
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp117_ = _tmp114_;
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp114_ = NULL;
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (re);
#line 274 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			re = _tmp117_;
#line 275 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_tmp118_ = re;
#line 275 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp118_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_POOR)));
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (_tmp114_);
#line 2020 "query.c"
		}
		goto __finally26;
		__catch26_g_regex_error:
		{
			GError* err = NULL;
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			err = _inner_error_;
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_inner_error_ = NULL;
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_error_free0 (err);
#line 2032 "query.c"
		}
		__finally26:
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (pattern);
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_regex_unref0 (re);
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (escaped_query);
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_free0 (stripped_query);
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			_g_object_unref0 (results);
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 272 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
			return NULL;
#line 2059 "query.c"
		}
#line 268 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
		_g_free0 (pattern);
#line 2063 "query.c"
	}
#line 282 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp119_ = gee_array_list_new (GEE_MAP_TYPE_ENTRY, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 282 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	sorted_results = _tmp119_;
#line 283 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp120_ = gee_abstract_map_get_entries ((GeeAbstractMap*) results);
#line 283 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp121_ = _tmp120_;
#line 283 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	entries = _tmp121_;
#line 285 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp122_ = _g_object_ref0 (entries);
#line 285 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	g_object_set_data_full ((GObject*) sorted_results, "entries-ref", _tmp122_, g_object_unref);
#line 286 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	gee_array_list_add_all (sorted_results, (GeeCollection*) entries);
#line 287 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	gee_list_sort ((GeeList*) sorted_results, ___lambda5__gcompare_data_func, NULL, NULL);
#line 293 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	result = (GeeList*) sorted_results;
#line 293 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_object_unref0 (entries);
#line 293 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 293 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 293 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 293 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_regex_unref0 (re);
#line 293 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_free0 (escaped_query);
#line 293 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_free0 (stripped_query);
#line 293 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_object_unref0 (results);
#line 293 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	return result;
#line 2103 "query.c"
}


void
synapse_query_copy (const SynapseQuery* self,
                    SynapseQuery* dest)
{
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	GCancellable* _tmp4_;
	GCancellable* _tmp5_;
	SynapseQueryFlags _tmp6_;
	guint _tmp7_;
	guint _tmp8_;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp0_ = (*self).query_string;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_free0 ((*dest).query_string);
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*dest).query_string = _tmp1_;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp2_ = (*self).query_string_folded;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_free0 ((*dest).query_string_folded);
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*dest).query_string_folded = _tmp3_;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp4_ = (*self).cancellable;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_object_unref0 ((*dest).cancellable);
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*dest).cancellable = _tmp5_;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp6_ = (*self).query_type;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*dest).query_type = _tmp6_;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp7_ = (*self).max_results;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*dest).max_results = _tmp7_;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_tmp8_ = (*self).query_id;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	(*dest).query_id = _tmp8_;
#line 2156 "query.c"
}


void
synapse_query_destroy (SynapseQuery* self)
{
#line 88 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_free0 ((*self).query_string);
#line 89 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_free0 ((*self).query_string_folded);
#line 90 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	_g_object_unref0 ((*self).cancellable);
#line 2169 "query.c"
}


SynapseQuery*
synapse_query_dup (const SynapseQuery* self)
{
	SynapseQuery* dup;
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	dup = g_new0 (SynapseQuery, 1);
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	synapse_query_copy (self, dup);
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	return dup;
#line 2183 "query.c"
}


void
synapse_query_free (SynapseQuery* self)
{
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	synapse_query_destroy (self);
#line 86 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/query.vala"
	g_free (self);
#line 2194 "query.c"
}


GType
synapse_query_get_type (void)
{
	static volatile gsize synapse_query_type_id__volatile = 0;
	if (g_once_init_enter (&synapse_query_type_id__volatile)) {
		GType synapse_query_type_id;
		synapse_query_type_id = g_boxed_type_register_static ("SynapseQuery", (GBoxedCopyFunc) synapse_query_dup, (GBoxedFreeFunc) synapse_query_free);
		g_once_init_leave (&synapse_query_type_id__volatile, synapse_query_type_id);
	}
	return synapse_query_type_id__volatile;
}


static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
#line 239 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/data-sink.vala"
	if ((array != NULL) && (destroy_func != NULL)) {
#line 2218 "query.c"
		int i;
#line 239 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/data-sink.vala"
		for (i = 0; i < array_length; i = i + 1) {
#line 239 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/data-sink.vala"
			if (((gpointer*) array)[i] != NULL) {
#line 239 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/data-sink.vala"
				destroy_func (((gpointer*) array)[i]);
#line 2226 "query.c"
			}
		}
	}
}


static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
#line 239 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/data-sink.vala"
	_vala_array_destroy (array, array_length, destroy_func);
#line 239 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/data-sink.vala"
	g_free (array);
#line 2242 "query.c"
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
#line 239 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/data-sink.vala"
	if (array) {
#line 239 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/data-sink.vala"
		while (((gpointer*) array)[length]) {
#line 239 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/data-sink.vala"
			length++;
#line 2257 "query.c"
		}
	}
#line 239 "/tmp/B.FTuRIQ/BUILD/synapse-0.2.99.4/src/core/data-sink.vala"
	return length;
#line 2262 "query.c"
}



